tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Luca Ventura" <ventu...@libero.it>
Subject R: How can I install Tomcat 4.0 as a plug-in of IIS 5.1?
Date Thu, 18 Apr 2002 13:19:25 GMT
Thanks a lot Kevin!!!! :))

Now with "tomcat 4.0.4 beta 2" all works fine!!!!!

Great!

                Luca

P.S: mmmm...is it possible to release a version a Web Server without all the
libraries for running? :((

-----Messaggio originale-----
Da: Kevin Seguin [mailto:seguin@motive.com]
Inviato: giovedì 18 aprile 2002 14.35
A: Tomcat Developers List; tomcat-user@jakarta.apache.org
Oggetto: RE: How can I install Tomcat 4.0 as a plug-in of IIS 5.1?


at one point there was a tomcat-util.jar that was missing some resource
bundles (some LocalStrings.properties files).... i can't remember exactly
what the error(s) looked like for this, but you might try the latest tomcat
4.0.4 beta 2 release.

-kevin.

> -----Original Message-----
> From: Luca Ventura [mailto:ventural@libero.it]
> Sent: Thursday, April 18, 2002 4:40 AM
> To: tomcat-dev@jakarta.apache.org; tomcat-user@jakarta.apache.org
> Subject: How can I install Tomcat 4.0 as a plug-in of IIS 5.1?
>
>
>
> Hello!
>
> My name is Luca Ventura and I am an italian student.
> I have Microsoft IIS Web Server (5.1) on a PC with Win XP Professional
> installed and JDK 1.4. I would like
> to install Apache Tomcat 4.0 as a plug-in to support JSP and
> Servlets but
> until now all my tries have been unsuccessful.
>
> I have downloaded Tomcat 4.0 at URL:
>
> http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v4
> .0.3/bin/
>
> I have downloaded the two versions of Tomacat:
>
> jakarta-tomcat-4.0.3-LE-jdk14.exe (for JDK 1.4)
> jakarta-tomcat-4.0.3.exe (for JDK 1.2+, it also contains other J2EE
> libraries).
>
> Then I have followed the instructions for installing Tomcat 4
> as a plug-in
> of ISS present at URL:
>
> http://members.ozemail.com.au/~lampante/howto/tomcat/iisnt/
>
> and at URL:
>
> http://jakarta.apache.org/tomcat/tomcat-3.2-doc/tomcat-iis-howto.html
>
>
> The problem is that when I start Tomcat and IIS and I try to
> access to a JSP
> page I obtain the error showed by picture "error_tomcat.jpg", that I
> inserted in attach.
>
> The class "org.apache.tomcat.util.http.BaseRequest" is present in
> "tomcat-util.jar" present in <dir_inst_tomcat4>\server\lib
> but it seems that
> Tomcat doesn't find that package (and the method
> authorization() of the
> class "BaseRequest"), but I don't know why. What must I do?
> Is there some
> configuration file in Tomcat where must I set the .jar files
> to use? Or must
> I insert them in the environment variable CLASSPATH?
>
> Then I want to point out that I want to configure Tomcat not as an NT
> service but I want to start it when I need accessing to
> "start menu" of
> Windows.
>
> I tried to use the isapi filter "isapi_redirector.dll" I found at:
>
> http://jakarta.apache.org/builds/jakarta-tomcat-4.0/release/v4
.0.3/bin/win32
/

instead of "isapi_redirect.dll" present in "tc4ntiis.zip" (you can download
it at url: http://members.ozemail.com.au/~lampante/howto/tomcat/iisnt/ ),
but the result is the same.


What can I do? Is there some can suggest to me some link I can use to
configure IIS and Tomcat 4 correctly? I have seen that in Jakarta web site
there are instructions to set Tomcat 3 with IIS but Tomcat 4 is very
different.

I pray you to tell me how to set all environments and configuration files of
Tomcat too :)

Thanks a lot in advance.
                                   Luca

--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>




--
To unsubscribe, e-mail:   <mailto:tomcat-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-dev-help@jakarta.apache.org>


Mime
View raw message